#!/bin/sh
ORIGIN=git@my.git.server.com:chrispy/repo.git

# create remote repo
rm -rf repo-local repo-remote
mkdir repo-remote
cd repo-remote
git init

# create common commit
cp ../oxygen.xpr .
echo "line 1" > file.txt
echo "line 2" >> file.txt
echo "line 3" >> file.txt
echo "line 4" >> file.txt
echo "line 5" >> file.txt
git add file.txt oxygen.xpr
git commit -m 'initial commit'

# create remote commit #1
sed -i 's/line 2/remote line 2/' file.txt
git add file.txt
git commit -m 'remote line 2'

# create remote commit #2
sed -i 's/line 4/remote line 4/' file.txt
git add file.txt
git commit -m 'remote line 4'

# force-push "main" to remote repo
git remote add origin $ORIGIN
git fetch --all
git branch --set-upstream-to=origin/main main
git push --force

cd ..

# create local repo
cp -r repo-remote repo-local
cd repo-local

# reset HEAD to common commit
git reset --hard HEAD~2  # rewind back to 'initial commit'

# create diverging local commit #1
sed -i 's/line 2/local line 2/' file.txt
git add file.txt
git commit -m 'local line 2'

# create diverging local commit #2
sed -i 's/line 4/local line 4/' file.txt
git add file.txt
git commit -m 'local line 4'

